Bug 1173669 (oVirt_Hosted_Engine_GlusterFS) - [RFE][HC] - Hosted Engine Support for GlusterFS
Summary: [RFE][HC] - Hosted Engine Support for GlusterFS
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: oVirt_Hosted_Engine_GlusterFS
Product: ovirt-hosted-engine-setup
Classification: oVirt
Component: RFEs
Version: 1.3.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ovirt-3.6.0-rc
: 1.3.0
Assignee: Sandro Bonazzola
QA Contact: Elad
URL: http://www.ovirt.org/Features/Self_Ho...
Whiteboard: integration
Depends On: 1022961 1024686 1117951 1128165 1170131 1173513 1173515 1177777 1201355 1208458 1213307 1215039 1220310 1227466
Blocks: Hosted_Engine_External_GlusterFS 1234915
TreeView+ depends on / blocked
 
Reported: 2014-12-12 15:54 UTC by Sandro Bonazzola
Modified: 2017-02-12 15:21 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-04 13:38:26 UTC
oVirt Team: ---
rule-engine: ovirt-3.6.0+
ylavi: planning_ack+
rule-engine: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 36264 master MERGED packaging: setup: add Gluster Support Never
oVirt gerrit 37662 ovirt-hosted-engine-setup-1.2 ABANDONED packaging: setup: add Gluster Support Never
oVirt gerrit 37772 master MERGED bin: connect-storage: rebase on vdsClient vdsm-cli-4.17.0-415 Never
oVirt gerrit 38419 ovirt-hosted-engine-setup-1.2 ABANDONED bin: connect-storage: rebase on vdsClient vdsm-cli-4.17.0-415 Never
oVirt gerrit 39618 None ABANDONED packaging: setup: add Gluster Support Never
oVirt gerrit 44464 master NEW GlusterFS: allow to use no-replica Never

Description Sandro Bonazzola 2014-12-12 15:54:48 UTC
Add support for Gluster storage to Hosted Engine

Comment 1 Christopher Pereira 2015-03-18 02:47:12 UTC
How can I test this feature?

Comment 2 Sandro Bonazzola 2015-04-02 15:51:25 UTC
Hi Christopher, create a replica3 gluster volume following www.ovirt.org/Gluster_Storage_Domain_Reference and try installing hosted engine using nightly master snapshots following http://www.ovirt.org/Install_nightly_snapshot .

When asked about storage type select glusterfs and pass the url of your shared volume.

Note that for testing this, the gluster storage can't be on the same host running the hosted engine VM. That's a different feature.

Comment 3 Christopher Pereira 2015-05-01 19:36:12 UTC
> Note that for testing this, the gluster storage can't be on the same host
> running the hosted engine VM. That's a different feature.

Hi Sandro,
Do we still have this limitation?
Please provide me more info for debugging.

Comment 4 Sandro Bonazzola 2015-08-06 07:51:28 UTC
(In reply to Christopher Pereira from comment #3)
> > Note that for testing this, the gluster storage can't be on the same host
> > running the hosted engine VM. That's a different feature.
> 
> Hi Sandro,
> Do we still have this limitation?
> Please provide me more info for debugging.

Well, using gluster storage on the same host is an Hyper Converged setup and we're not going to support this setup in 3.6.
More work is needed in order to support such setup.

We'll add support for no-replica (1 brick) in addition to replica 3 for external GlusterFS setup.

Comment 5 Elad 2015-11-02 13:08:02 UTC
Test plan executed and passed. 
https://polarion.engineering.redhat.com/polarion/#/project/RHEVM3/testrun?id=3_6_Storage_Hosted_Engine_Gluster_support_26_10_15

2 cases failed, opened the following BZs:
https://bugzilla.redhat.com/show_bug.cgi?id=1275606
https://bugzilla.redhat.com/show_bug.cgi?id=1275210

Used:
ovirt-hosted-engine-ha-1.3.1-1.el7ev.noarch
ovirt-host-deploy-1.4.0-1.el7ev.noarch
ovirt-vmconsole-host-1.0.0-1.el7ev.noarch
ovirt-vmconsole-1.0.0-1.el7ev.noarch
ovirt-hosted-engine-setup-1.3.0-1.el7ev.noarch
libgovirt-0.3.3-1.el7.x86_64
ovirt-setup-lib-1.0.0-1.el7ev.noarch
vdsm-cli-4.17.10-5.el7ev.noarch

vdsm-infra-4.17.10-5.el7ev.noarch
vdsm-xmlrpc-4.17.10-5.el7ev.noarch
vdsm-python-4.17.10-5.el7ev.noarch
vdsm-4.17.10-5.el7ev.noarch
vdsm-yajsonrpc-4.17.10-5.el7ev.noarch
vdsm-jsonrpc-4.17.10-5.el7ev.noarch

glusterfs-client-xlators-3.7.1-16.el7.x86_64
glusterfs-rdma-3.7.1-16.el7.x86_64
glusterfs-cli-3.7.1-16.el7.x86_64
glusterfs-fuse-3.7.1-16.el7.x86_64
glusterfs-libs-3.7.1-16.el7.x86_64
glusterfs-api-3.7.1-16.el7.x86_64
glusterfs-devel-3.7.1-16.el7.x86_64
glusterfs-api-devel-3.7.1-16.el7.x86_64
glusterfs-3.7.1-16.el7.x86_64

Comment 6 Sandro Bonazzola 2015-11-04 13:38:26 UTC
oVirt 3.6.0 has been released on November 4th, 2015 and should fix this issue.
If problems still persist, please open a new BZ and reference this one.


Note You need to log in before you can comment on or make changes to this bug.